# BasePluginConvention

API Documentation: | `BasePluginConvention`

Note: This class is deprecated and will be removed in the next major version of Gradle.

A `Convention` used for the BasePlugin.

### Properties

Property | Description
`archivesBaseName` | The base name to use for archive files.
`distsDirName` | The name for the distributions directory. This in interpreted relative to the project' build directory.
`distsDirectory` | The directory to generate TAR and ZIP archives into.
`libsDirName` | The name for the libs directory. This in interpreted relative to the project' build directory.
`libsDirectory` | The directory to generate JAR and WAR archives into.

### Methods

No methods

### Script blocks

No script blocks

### Property details

#### `String` `archivesBaseName`

The base name to use for archive files.

Default with `java` plugin:
  `project.name`

#### `String` `distsDirName`

The name for the distributions directory. This in interpreted relative to the project' build directory.

Default with `java` plugin:
  `'distributions'`

#### `DirectoryProperty` `distsDirectory`

The directory to generate TAR and ZIP archives into.

Default with `java` plugin:
  ``${project.buildDir}`/`${project.distsDirName}``

#### `String` `libsDirName`

The name for the libs directory. This in interpreted relative to the project' build directory.

Default with `java` plugin:
  `'libs'`

#### `DirectoryProperty` `libsDirectory`

The directory to generate JAR and WAR archives into.

Default with `java` plugin:
  ``${project.buildDir}`/`${project.libsDirName}``